**Full name**: projects.locations.endpoints.getIamPolicy

Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.

### Endpoint

post `https://{service-endpoint}/v1beta1/{resource}:getIamPolicy`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`resource` `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.

### Query parameters

`options` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `endpoints.getIamPolicy`.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/Policy`.

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `resource` resource, depending on the resource type:

- `aiplatform.agents.getIamPolicy`
- `aiplatform.endpoints.getIamPolicy`
- `aiplatform.entityTypes.getIamPolicy`
- `aiplatform.featureGroups.getIamPolicy`
- `aiplatform.featureOnlineStores.getIamPolicy`
- `aiplatform.featureViews.getIamPolicy`
- `aiplatform.featurestores.getIamPolicy`
- `aiplatform.notebookRuntimeTemplates.getIamPolicy`
- `aiplatform.reasoningEngines.getIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).